package org.example.tracking;

import org.aspectj.lang.annotation.After;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;

@Aspect
public class FooAspect {

	@Pointcut("execution(* *org.example.tracking.FooClass.start())")
	public void startOperation() {}

	@After("org.example.tracking.FooAspect.startOperation()")	
	public void trackStartOperation() {
		System.out.println("Hello World from FooAspect --- within bundle");
	}

	
}
