package org.example.tracking;

import org.aspectj.lang.annotation.After;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;

@Aspect
public class MyAspect {

	@Pointcut("execution(* *org.example.spring.TestClass.start())")
	public void startOperation() {}

	@After("org.example.tracking.MyAspect.startOperation()")	
	public void trackStartOperation() {
		System.out.println("Hello World from MyAspect --- across bundles");
	}

	
}
